Package org.linphone.core

# Interface MessageWaitingIndication

public interface MessageWaitingIndication
Object representing a Message Waiting Indication.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`MessageWaitingIndication.ContextClass`

## Method Summary

Modifier and Type
Method
Description
`MessageWaitingIndication`
`clone()`
Instantiate a new message waiting indication with values from source.
`Address`
`getAccountAddress()`
Gets the address of the message account concerned by this message waiting
indication.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`int`
`getNbNew()`
Gets the total number of new messages (for all the summaries).
`int`
`getNbNewUrgent()`
Gets the total number of new urgent messages (for all the summaries).
`int`
`getNbOld()`
Gets the total number of old messages (for all the summaries).
`int`
`getNbOldUrgent()`
Gets the total number of old urgent messages (for all the summaries).
`MessageWaitingIndicationSummary[]`
`getSummaries()`
Gets the message waiting indication summaries.
`MessageWaitingIndicationSummary`
`getSummary(MessageWaitingIndication.ContextClass contextClass)`
Gets the message waiting indication summary for a given context class.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`hasMessageWaiting()`
Tells whether there are messages waiting or not.
`void`
`setAccountAddress(Address address)`
Sets the address of the message account concerned by this message waiting
indication.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`Content`
`toContent()`
Get a `Content` object to put in a NOTIFY message from a `MessageWaitingIndication`
object.
`String`
`toString()`

## Method Details

### getAccountAddress

@Nullable Address getAccountAddress()
Gets the address of the message account concerned by this message waiting
indication.

Returns:
  The address of the message account concerned by this message waiting
  indication.

### setAccountAddress

void setAccountAddress(@Nullable Address address)
Sets the address of the message account concerned by this message waiting
indication.

Parameters:
  `address` - The address of the message account concerned by this message
  waiting indication.

### getNbNew

int getNbNew()
Gets the total number of new messages (for all the summaries).

Returns:
  The total number of new messages.

### getNbNewUrgent

int getNbNewUrgent()
Gets the total number of new urgent messages (for all the summaries).

Returns:
  The total number of new urgent messages.

### getNbOld

int getNbOld()
Gets the total number of old messages (for all the summaries).

Returns:
  The total number of old messages.

### getNbOldUrgent

int getNbOldUrgent()
Gets the total number of old urgent messages (for all the summaries).

Returns:
  The total number of old urgent messages.

### getSummaries

@NonNull MessageWaitingIndicationSummary[] getSummaries()
Gets the message waiting indication summaries.

Returns:
  The message waiting indication summaries.

### clone

@NonNull MessageWaitingIndication clone()
Instantiate a new message waiting indication with values from source.

Returns:
  The newly created `MessageWaitingIndication` object.

### getSummary

@Nullable MessageWaitingIndicationSummary getSummary(MessageWaitingIndication.ContextClass contextClass)
Gets the message waiting indication summary for a given context class.

Parameters:
  `contextClass` - the `MessageWaitingIndication.ContextClass` for which we want to get the
  summary.
Returns:
  The `MessageWaitingIndicationSummary` for the given context
  class.

### hasMessageWaiting

boolean hasMessageWaiting()
Tells whether there are messages waiting or not.

Returns:
  true if there are waiting messages, false otherwise.

### toContent

@NonNull Content toContent()
Get a `Content` object to put in a NOTIFY message from a `MessageWaitingIndication`
object.

Returns:
  The `Content` to put in a NOTIFY message.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`